"""
Executable module taking a single parameter that emits the compilation
transcript to standard out.
"""
import sys
import importlib

if __name__ == '__main__':
	modpath = sys.argv[1]
	loader = importlib.import_module(modpath).__loader__
	for x in loader.stages:
		with open(loader.logfile(x), 'rb') as logfile:
			sys.stdout.buffer.write(logfile.read())
	sys.stdout.write("\n")
